Scenarios
GET
/api/v1/scenarios

List scenarios for the active workspace.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Query Parameters

skip?Skip
Default0
limit?Limit
Default100
agent_id?|null

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/scenarios"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",    "description": "string",    "required_info": {      "property1": "string",      "property2": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!